LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-21-2010, 08:13 PM   #1
cipher7836
Member
 
Registered: Dec 2008
Posts: 35

Rep: Reputation: 15
How Can I Recompile PHP?


Hello all, I had to update php to the 5.2.3 version using the following as a guide: http://www.webtatic.com/blog/2009/06...0-on-centos-5/

I was able to run the command: yum --enablerepo=webtatic update php

Everything went great. The only problem was that I needed to install the latest mcrypt. That was a huuuuge pain. I was able to do that with the following: http://atlantatechpro.com/howtos/how...tosmhashmcrypt

Now comes the part where I recompile php. But in order to do that I need to know where my source is. Which I have no idea. The upgrade process doesn't tell me. I'm running RHEL 64 bit so I figured the source would be wherever that distro puts it. But I don't see it in there. It seems like something so simple...any help???
 
Old 06-21-2010, 08:20 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,225

Rep: Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520
RHEL 64 ?
what version of REHL 64 bit?

rhel 5.1 ? 5.2,5.3,5.4,5.5
RHEL5.5 is the current

and have you called Red Hat support?
Quote:
But in order to do that I need to know where my source is
for the red hat source you need access to the red hat network
You need to buy access to this AND UPDATES from red hat
 
Old 06-22-2010, 08:49 AM   #3
cipher7836
Member
 
Registered: Dec 2008
Posts: 35

Original Poster
Rep: Reputation: 15
No Source!?

Thanks for the response...I'm running this 64 bit version of Red Hat: Red Hat Enterprise Linux Server release 5.4 (Tikanga)

The client wanted the latest PHP. I had read that Red Hat has the latest patched release. He wanted mcrypt, libmcrypt, and mhash on the system. How can I get those on there on the release of php that came with the system if I can't recompile php?
 
Old 06-22-2010, 09:29 AM   #4
pixellany
LQ Veteran
 
Registered: Nov 2005
Location: Annapolis, MD
Distribution: Arch/XFCE
Posts: 17,802

Rep: Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738
So..... You didn't answer the question about RedHat network and RedHat support.

If you are not paying for the support, then don't use RHEL---use something like CentOS instead
 
Old 06-23-2010, 07:47 AM   #5
cipher7836
Member
 
Registered: Dec 2008
Posts: 35

Original Poster
Rep: Reputation: 15
I thought I had replied to this post yesterday...I guess not. No, the client wasn't paying for support. However, I finally got everything installed. I kept the php version that yum installed instead of updating to the latest. Then I did a yum install of php-mcrypt and php-mhash. That worked.
 
Old 06-23-2010, 02:20 PM   #6
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,225

Rep: Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520Reputation: 2520
Quote:
... No, the client wasn't paying for support.
so the client dose NOT want updates installed nor to have security updates installed ,nor bugfixes installed ,nor the fix for a zero-day attack .
 
1 members found this post helpful.
Old 06-24-2010, 09:28 AM   #7
cipher7836
Member
 
Registered: Dec 2008
Posts: 35

Original Poster
Rep: Reputation: 15
I'm sure the client would want that. I steered them towards CentOS for the LAMP install, but Plesk was a nightmare on it. I don't know why. The client liked Red Hat so Plesk was installed and is running. I did the basics as far as web security goes, but I recommended a firewall like pfSense in front of the server.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
GD2 on PHP-4.3.9 without recompile php malanmarc Linux - Newbie 1 04-04-2009 12:14 PM
Need to recompile PHP? griffey Linux - Software 4 02-18-2009 07:52 PM
Recompile PHP dominodivine SUSE / openSUSE 3 08-02-2005 04:49 PM
Recompile PHP for Slackware? [GOD]Anck Slackware 12 03-15-2005 06:08 PM
php recompile te_conway Linux - General 1 01-17-2002 08:41 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 05:19 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration